### Name: plot.imageMatrix
### Title: Visualisation of a matrix
### Aliases: plot.imageMatrix
### Keywords: hplot

### ** Examples


 plot.imageMatrix(x=matrix(c(3,4,4,3),nrow=2, ncol=2),labels=c("one","two"))
 ma <- matrix(c(0.3,0.01,0.7,0.1,0.5,0.3,1,0.5,01), nrow=3,ncol=3)
 class(ma) <- c("imageMatrix", "matrix")
 plot(ma, labelMatrix=ma,labels=c("one","two", "three"), zlim=c(0,1))
 ma <- matrix(c(0.3, 0.01, 0.7, 0.1, 0.5, 0.3, 1, 0.5, 1, 0, 1, 0), nrow = 4, ncol = 3, byrow=TRUE )
 class(ma) <- c("imageMatrix", "matrix")
 plot(ma, labelMatrix = ma, xLabels = c("one", "two", "three"), zlim=c(0,1))
 plot(ma, reverseYaxis=FALSE, labelMatrix = ma, xLabels = c("one", "two", "three"), zlim=c(0,1))

## Don't show: 

 plot.imageMatrix(main="Similarities",x=matrix(c(3,4,4,3),nrow=2, ncol=2),labels=c("one","two"))
 ma <- matrix(c(0.3,0.01,0.7,0.1,0.5,0.3,1,0.5,01), nrow=3,ncol=3)
 plot.imageMatrix(main="Similarities",x=ma, labelMatrix=ma,labels=c("one","two", "three"), zlim=c(0,1))
 ma <- matrix(c(0.3, 0.01, 0.7, 0.1, 0.5, 0.3, 1, 0.5, 1, 0, 1, 0), nrow = 4, ncol = 3, byrow=TRUE )
 plot.imageMatrix(main = "x", x = ma, labelMatrix = ma, xLabels = c("one", "two", "three"), zlim=c(0,1) )
 plot.imageMatrix(matrix(1:10,nrow=1))
## End Don't show

 


